#property indicator_chart_window

string strike[500];
double cV[500];
double pV[500];

int init()
  {

   return(0);
  }

int deinit()
  {

   return(0);
  }

int start()
  {
   readFromFile();
   drawLines();

   return(0);
  }

void drawLines()
{
            double maxCV = cV[ArrayMaximum(cV)];
            double maxPV = pV[ArrayMaximum(pV)];
            double maxV = MathMax(maxCV,maxPV);
            string name;
      for(int i=0; i<500; i++)
         {
            name = "callsV" + strike[i];
            if (cV[i]!=0) 
            {
               datetime dcallsVstart = StrToTime("00:00");
               datetime dcallsVend = dcallsVstart + cV[i]*(86400.0/maxV);
            
               ObjectCreate(name,OBJ_TREND,0,dcallsVstart,StrToDouble(strike[i]),dcallsVend,StrToDouble(strike[i]));
               ObjectSet(name,OBJPROP_RAY,false);
               ObjectSet(name,OBJPROP_COLOR,Red);
               ObjectSet(name,OBJPROP_WIDTH,3);
            }
            
            name = "putsV" + strike[i];
            if (pV[i]!=0) 
            {
               datetime dcallsPend = StrToTime("00:00") + 86400;
               datetime dcallsPstart = dcallsPend - pV[i]*(86400.0/maxV);
            
               ObjectCreate(name,OBJ_TREND,0,dcallsPstart,StrToDouble(strike[i]),dcallsPend,StrToDouble(strike[i]));
               ObjectSet(name,OBJPROP_RAY,false);
               ObjectSet(name,OBJPROP_COLOR,Green);
               ObjectSet(name,OBJPROP_WIDTH,3);
            }
         }   
}

void readFromFile()
   {
      int handle;
      handle=FileOpen("VodogreyData.txt", FILE_CSV|FILE_READ, ";");
      string st = "";
      
      if(handle>0)
      {
         st = " ";
         for(int i=0; i<500; i++)
         {
            if (StringLen(st)==0) break;
            
            st = FileReadString(handle);
            if (StringLen(st)==0) break;
            string objPrefName = st;
            strike[i] = st;
            st = FileReadString(handle);
            if (StringLen(st)==0) break;
             
            if (st!="-") cV[i] = StrToDouble(st);
            
            st = FileReadString(handle);
            if (StringLen(st)==0) break;
            if (st!="-") pV[i] = StrToDouble(st);
           
         }
         FileClose(handle);
      }   
   }